---
id: telemetry-metric-list
title: List metrics
description: List metrics available for an application.
sidebar_label: List metrics
hide_title: true
hide_table_of_contents: true
api: >-
  eJztVk2P2zYQ/SvEnFpA8UfRXnRbtGmxRQIEiYsGcAyDlmYlJhTJkCN3DUH/vRhStuWvrdNee7IlkXxv3psZTgclhsIrR8oayOGNCiQaJK+KIORWKi03GsWT9UIaIZ3TqpC8dgIZWIc+PjyWkAOhRt65y9P+XKtAkAHJKkC+hLfpVFhl4KSXDRJ6/tCBYmQnqYYMjGwQchghPZaQQShqbCTkHdDO8QJlCCv00Gfg8WurPJaQk28xO4toUeOYt3j8hanjs2ycRsjnfTYQ+Nqi3x0ZaNUouhv5SepwAf1WPqumbYRpmw16YZ+Ex9BqCqcMZrNbHEJhHa7V/QJcpfGBT7k77oB+q4pbqIG8MtU9oOmYc1gI2+LVHPpVBgGL1ivaxRTYoPToH1qqIV+u+LPH4KwJGBj9h9mMf87kjQklmHdUtLCG0BAvHBk+/Rx4dXcZi918xoItdp4zmVTCGu1lEa7HHm0cfZPeSxZRETbhyp6+z4AURQlSeXClvR9i5DMPEl0ygDmMMJdQE7kJem/92ktCyNKbvWJrUg2/DLtA2EwK167bICtcO/QFGpIVwqqPlH78+PFS15+1QkMiAoiDDaJsUZAVymylVqVQxrUkrBeNCkGZShyL+j+ZccyrJTQYQmR77tH+wzVzIu87rLlhvzKBpCnwHfeja+ffxu5PbD70w9eR0NHiFEFSLdYmP2+lbvEktFT9QgVxkKQfIH66ZhtXHPoL25Qpo/im4g6uQmhRWCOoRvHw7lEEVeL/fv2zX0Pav7HVr9Y3km54xreNtpVw3m5ViT7Z56yPBmhbsSFR/L+8NRVfrHzYQYXleUAwHQp/Op+WknCo7SNi0/KNLamoh8PEJ+CFr3jlJ4B+1e/TpkGqLfeTCqOOA8DY7+7k4u2nqVdxM4nZle7r1mvIY88J+XQqnZqYVmunJTGDSWGbkwb/gXMnqThu8wc7+KD9XcPPaRFkw5+93vD7nwvgMJR5slF+9CGl/nwym8zgaOVibyW76GygRsYsHq648ZADZxdXd6yEbxuGhmAIn2nqtFSGsaNS3aD0clxZkEF+PuQMYq8yqG0g3tB1GxnwD6/7nl+nq5otKFVgLjdu33EQLw4hV0l/wd1o/hmSHIAHhvthx0PHCyijCeffAp0MGi9BjQebI9iKH7xitG9U9rv3Q+v7XlwfMq+S2Xc5sxvT2JM8TYl+1WdQoywxtYa05qEo0I2tuWjYHNSh2H97vYAM5GnNndVYPP0qs65LKxb2C5q+PxAlfk7N5W+wqkHE
sidebar_class_name: get api-method
info_path: docs/api/telemetry
custom_edit_url: null
canonical: 'https://docs.nullplatform.com/docs/api/telemetry-metric-list'
---
<Heading
  as={"h1"}
  className={"openapi__heading"}
  children={"List metrics"}
>
</Heading>

<MethodEndpoint
  method={"get"}
  path={"/application/{applicationId}/metric"}
  context={"endpoint"}
>

</MethodEndpoint>

List metrics available for an application.

<Heading
  id={"request"}
  as={"h2"}
  className={"openapi-tabs__heading"}
  children={"Request"}
>
</Heading>

<ParamsDetails
  parameters={[{"in":"path","name":"applicationId","schema":{"type":"integer"},"required":true,"description":"The application ID.","example":1},{"in":"query","name":"limit","schema":{"type":"integer"},"required":false,"description":"Maximum number of results.","example":100},{"in":"query","name":"scope_id","schema":{"type":"integer"},"required":false,"description":"Scope ID.","example":1},{"in":"query","name":"service_id","schema":{"type":"string"},"required":false,"description":"Service ID.","example":"svc-1"}]}
>

</ParamsDetails>

<RequestSchema
  title={"Body"}
  body={undefined}
>

</RequestSchema>

<StatusCodes
  id={undefined}
  label={undefined}
  responses={{"200":{"description":"Metric names.","content":{"application/json":{"schema":{"type":"object","properties":{"application_id":{"type":"string"},"results":{"type":"array","items":{"type":"string"}}},"title":"metricListResponse"},"example":{"application_id":"1","results":["http.error_rate","http.response_time","system.cpu_usage_percentage"]}}}},"4XX":{"description":"Client error responses due to invalid input or missing parameters.","content":{"application/json":{"schema":{"type":"object","required":["message"],"properties":{"message":{"type":"string"},"error":{"type":"array","items":{"type":"object","properties":{"instancePath":{"type":"string"},"message":{"type":"string"}}}}},"title":"telemetryError"},"examples":{"missingScope":{"value":{"message":"scope is required"}}}}}},"5XX":{"description":"Server error responses indicating an issue on the API side.","content":{"application/json":{"schema":{"type":"object","required":["message"],"properties":{"message":{"type":"string"},"error":{"type":"array","items":{"type":"object","properties":{"instancePath":{"type":"string"},"message":{"type":"string"}}}}},"title":"telemetryError"},"examples":{"invalidLogFormat":{"value":{"message":"The log provider is reporting logs in the wrong format","error":[{"instancePath":"/results/1/datetime","message":"must match format \"date-time\""}]}}}}}}}}
>

</StatusCodes>

